"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const SliderTimelineModel = require("./SliderTimelineModel.js");
const SliderTimelineView = require("./SliderTimelineView.js");
const timelineAction = require("./timelineAction.js");
const preprocessor = require("./preprocessor.js");
function install(registers) {
  registers.registerComponentModel(SliderTimelineModel.default);
  registers.registerComponentView(SliderTimelineView.default);
  registers.registerSubTypeDefaulter("timeline", function() {
    return "slider";
  });
  timelineAction.installTimelineAction(registers);
  registers.registerPreprocessor(preprocessor.default);
}
exports.install = install;
